> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Document Content by Path

> Update Document Content by Path



## OpenAPI

````yaml /openapi/openapi_content.json put /content/documentlists/{documentListName}/documentTree/{documentName}/content
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/documentlists/{documentListName}/documentTree/{documentName}/content:
    put:
      tags:
        - Documents
      summary: Update Document Content by Path
      description: Update Document Content by Path
      parameters:
        - description: >-
            The Mozu.Content.Contracts.DocumentList in which the document
            resides
          in: path
          name: documentListName
          required: true
          schema:
            type: string
        - description: ''
          in: path
          name: documentName
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContentHttpRequestMessage'
          application/octet-stream:
            schema:
              $ref: '#/components/schemas/ContentHttpRequestMessage'
          text/plain:
            schema:
              $ref: '#/components/schemas/ContentHttpRequestMessage'
        description: Binary document content to store must be less than 16M
      responses:
        '200':
          description: Success
components:
  schemas:
    ContentHttpRequestMessage:
      properties:
        content:
          $ref: '#/components/schemas/ContentHttpContent'
        headers:
          items:
            $ref: '#/components/schemas/KeyValuePair'
          nullable: true
          readOnly: true
          type: array
        method:
          $ref: '#/components/schemas/HttpMethod'
        options:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        properties:
          additionalProperties: {}
          deprecated: true
          nullable: true
          readOnly: true
          type: object
        requestUri:
          format: uri
          nullable: true
          type: string
        version:
          nullable: true
          type: string
        versionPolicy:
          $ref: '#/components/schemas/AppDevHttpVersionPolicy'
      type: object
    ContentHttpContent:
      properties:
        headers:
          items:
            $ref: '#/components/schemas/KeyValuePair'
          nullable: true
          readOnly: true
          type: array
      type: object
    KeyValuePair:
      properties:
        key:
          nullable: true
          type: string
        value:
          items:
            type: string
          nullable: true
          type: array
      type: object
    HttpMethod:
      properties:
        method:
          nullable: true
          type: string
      type: object
    AppDevHttpVersionPolicy:
      enum:
        - 0
        - 1
        - 2
      format: int32
      type: integer
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````